# Class CSTelemetryService

java.lang.Object
com.io7m.certusine.vanilla.internal.telemetry.CSTelemetryService

All Implemented Interfaces:
  `CSTelemetryServiceType`, `com.io7m.repetoir.core.RPServiceType`

public final class CSTelemetryService extends Object implements CSTelemetryServiceType
An OpenTelemetry service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSTelemetryService(io.opentelemetry.api.trace.Tracer inTracer, io.opentelemetry.api.metrics.Meter inMeter, io.opentelemetry.api.logs.Logger inLogger)`
  An OpenTelemetry service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  `io.opentelemetry.api.logs.Logger`
  `logger()`
  `io.opentelemetry.api.metrics.Meter`
  `meter()`
  `String`
  `toString()`
  `io.opentelemetry.api.trace.Tracer`
  `tracer()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSTelemetryService

    public CSTelemetryService(io.opentelemetry.api.trace.Tracer inTracer, io.opentelemetry.api.metrics.Meter inMeter, io.opentelemetry.api.logs.Logger inLogger)
    An OpenTelemetry service.
    Parameters:
      `inTracer` - The tracer instance
      `inMeter` - The meter instance
      `inLogger` - The logger instance

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### logger

    public io.opentelemetry.api.logs.Logger logger()
    Specified by:
      `logger` in interface `CSTelemetryServiceType`
    Returns:
      The main logger

  - ### tracer

    public io.opentelemetry.api.trace.Tracer tracer()
    Specified by:
      `tracer` in interface `CSTelemetryServiceType`
    Returns:
      The main tracer

  - ### meter

    public io.opentelemetry.api.metrics.Meter meter()
    Specified by:
      `meter` in interface `CSTelemetryServiceType`
    Returns:
      The main meter

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`